probe::socket.writev.return
Prev | Chapter 14. Socket Tapset | Next

## Name

probe::socket.writev.return — Conclusion of message sent via `socket_writev`

## Synopsis

    socket.writev.return

## Values

`family`

  Protocol family value

`protocol`

  Protocol value

`name`

  Name of this probe

`size`

  Size of message sent (in bytes) or error code if success = 0

`flags`

  Socket flags value

`success`

  Was send successful? (1 = yes, 0 = no)

`type`

  Socket type value

`state`

  Socket state value

## Context

The message receiver.

## Description

Fires at the conclusion of sending a message on a socket via the `sock_writev` function

Prev | Up | Next
probe::socket.writev | Home | Chapter 15. SNMP Information Tapset